# AWS Provider Configuration
provider "aws" {}

terraform {
  backend "s3" {
    encrypt = true
  }
}

terraform {
  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "5.44"
    }
    time = {
      source  = "hashicorp/time"
      version = "0.11.1"
    }
  }
}