output "aurora_postgres_arn" {
  value = aws_rds_cluster.aurora_postgresql.arn
}

output "aurora_postgres_cluster_endpoint" {
  description = "The cluster endpoint"
  value       = aws_rds_cluster.aurora_postgresql.endpoint
}

output "aurora_postgres_cluster_reader_endpoint" {
  value = aws_rds_cluster.aurora_postgresql.reader_endpoint
}

output "aurora_postgres_cluster_master_password" {
  description = "The master password"
  value       = aws_rds_cluster.aurora_postgresql.master_password
  sensitive   = true
}

output "aurora_postgres_cluster_port" {
  description = "The port"
  value       = aws_rds_cluster.aurora_postgresql.port
}

output "aurora_postgres_cluster_master_username" {
  description = "The master username"
  value       = aws_rds_cluster.aurora_postgresql.master_username
}
